Skip to main content
`Ctrl`+`K`

# vf2pp_is_isomorphic

vf2pp_is_isomorphic(G1, G2, node_label=None, default_label=None)

  Examines whether G1 and G2 are isomorphic.

  Parameters:
    G1, G2 NetworkX Graph or MultiGraph instances.

      The two graphs to check for isomorphism.

    node_label str, optional

      The name of the node attribute to be used when comparing nodes. The default is `None`, meaning node attributes are not considered in the comparison. Any node that doesn’t have the `node_label` attribute uses `default_label` instead.

    default_label scalar

      Default value to use when a node doesn’t have an attribute named `node_label`. Default is `None`.

  Returns:
    bool

      True if the two graphs are isomorphic, False otherwise.